oro_behat_extension:
  elements:
    Google Integration Settings Tooltip Icon:
      selector:
        type: xpath
        locator: '//span[contains(., "Google Integration Settings")]/.././/i[contains(@class, "fa-info-circle") and contains(@class, "tooltip-icon")]'

    SystemConfigForm:
      selector: "div[id^='configuration-options-block']"
      class: Oro\Bundle\ConfigBundle\Tests\Behat\Element\SystemConfigForm

    SidebarConfigMenu:
      selector: 'div.system-configuration-container div[data-role="sidebar"]'
      class: Oro\Bundle\ConfigBundle\Tests\Behat\Element\SidebarConfigMenu

    ColorsConfigBlock:
      class: Oro\Bundle\ConfigBundle\Tests\Behat\Element\ColorsConfigBlock

    Configuration Quick Search:
      selector: '.system-configuration-container input[data-name="search"]'

    Recent Emails:
      selector: '.email-notification-menu'

    WYSIWYG editor:
      selector: '[data-bound-view="oroform/js/app/views/wysiwig-editor/wysiwyg-dialog-view"] iframe'

    Entity pagination:
      selector: '#entity-pagination'

    Configuration Sidebar Content:
      selector: '.jstree'

    Clear Sidebar Search:
      selector: 'div.system-configuration-container div[data-role="sidebar"] [data-name="clear-search"]'

    Sidebar Last Section:
      selector: 'div.system-configuration-container div[data-role="sidebar"] [data-role="jstree-container"] > [role="group"] > li.jstree-node:last-child'

    Search Input:
      selector: 'input[type="search"]'

    Highlight Container:
      selector: '.highlight-element'

    Highlighted Text:
      selector: '.highlight-text'

    Configuration Menu Item:
      selector: 'div.system-configuration-container div[data-role="sidebar"] li.jstree-node'

    Configuration Section Label:
      selector: '.user-fieldset'

    Configuration Option Label:
      selector: '.control-label'

    Configuration Page:
      selector: '.system-configuration-content-wrapper'

    Configuration Page Title:
      selector: '.system-configuration-content-title'

    Highlighted Tooltip Icon:
      selector: '.tooltip-icon.highlight-element'

    Tooltip Container:
      selector: '.popover-body'

    Shopping List Config:
      selector: 'form[name="shopping_list"]'
      class: Oro\Bundle\TestFrameworkBundle\Behat\Element\Form

    Add Recent Emails widget:
      selector:
        locator: '//em[text()="Recent Emails"]/../../..//button[@data-role="add-action"]'
        type: xpath

    Organization Notice Close:
      selector: '.oropro-organization-notice-holder .popover-close'

  suites:
    OroConfigBundle:
      contexts:
        - Oro\Bundle\TestFrameworkBundle\Tests\Behat\Context\OroMainContext
        - Oro\Bundle\ConfigBundle\Tests\Behat\Context\FeatureContext
        - Oro\Bundle\DataGridBundle\Tests\Behat\Context\GridContext
        - Oro\Bundle\FormBundle\Tests\Behat\Context\FormContext
        - Oro\Bundle\NavigationBundle\Tests\Behat\Context\FeatureContext
        - Oro\Bundle\NavigationBundle\Tests\Behat\Context\PinbarContext
        - Oro\Bundle\ActivityListBundle\Tests\Behat\Context\ActivityContext
      paths:
        - '@OroConfigBundle/Tests/Behat/Features'
